Subject: RE: Fix to readline for case-insensitive file-name completion
From: [email-masked] (Rick Rankin)

20 May 1997 22:04:57 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Pro Version 3.0.1 (32)
Original-To: "[email-masked]" <[email-masked]>
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

I too generally prefer case-sensitive completion. It's the same behaviour
as Unix and, perhaps I'm weird (no, make that "different"), but I almost
always know the case of my filenames. Even if I don't remember, I can hit
<TAB> before I type any characters and bash shows me the possible completions.

Rick Rankin
[email-masked]

At 10:28 AM 5/20/97 +0400, Sergey Okhapkin wrote:
>Michael Condict wrote:
>>
>> Geoffrey,
>>
>> I found the case-sensitive file-name completion in bash unuseable in
>> Windows, because one often doesn't know the case of names in advance.
>> So I changed it to case-insensitive by adding a few lines to
>>
>> 		bash/lib/readline/complete.c
>>
>> I'd like to propose that this feature be integrated into the next
>> release of Cygnus Win32.
>
>Sometimes I'm using case-sensitive file names with cygnus tools (just by 
>adding FILE_FLAG_POSIX_SEMANTICS to some CreateFile calls in cygwin.dll). 
>Huh?-) Moreover, if I have two directories "X11R6.3" and "xfiles" I prefer 
>different completions for X<TAB> and x<TAB>.
>
>--
>Sergey Okhapkin
>Moscow, Russia
>Looking for a job.
>
>
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>
>
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".